For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get DNS snapshot

Retrieve particular DNS snapshot with contents of DNS zone records. Use this endpoint to view historical DNS configurations for domains.

Get DNS snapshot

get

Retrieve particular DNS snapshot with contents of DNS zone records.

Use this endpoint to view historical DNS configurations for domains.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
domainstringRequired

Domain name

Example: mydomain.tld
snapshotIdintegerRequired

Snapshot ID

Example: 53513053
Responses
200

Success response

application/json
idintegerOptional

Snapshot ID

Example: 5341
reasonstringOptional

Reason of the update

Example: Zone records update request
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
get/api/dns/v1/snapshots/{domain}/{snapshotId}
GET /api/dns/v1/snapshots/{domain}/{snapshotId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 5341,
  "reason": "Zone records update request",
  "snapshot": [
    {
      "name": "www",
      "records": [
        {
          "content": "mydomain.tld.",
          "is_disabled": false
        }
      ],
      "ttl": 14400,
      "type": "A"
    }
  ],
  "created_at": "2025-02-27T11:54:22Z"
}

Last updated

Was this helpful?